database_type='DBM'

"""%s Database Connection""" % database_type
__version__='$Revision: 1.3 $'[11:-2]

#  Copyright (C) 2000 FlicNET and Mike Ivanov <mike@flic.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from db import DB
import Shared.DC.ZRDB.Connection
from Globals import HTMLFile
import string

addConnectionForm = HTMLFile(
    'Shared/DC/ZRDB/connectionAdd',
    default_id='%s_database_connection' % database_type,
    default_title='Z %s Database Connection' % database_type,
    database_type=database_type,
    )

def addConnection(
    self, id, title, connection_string, check=None,
    REQUEST=None
    ) :
    """Add a DB connection to a folder"""

    self._setObject( id, Connection(id, title, connection_string, check))
    if REQUEST is not None: return self.manage_main(self,REQUEST)

class Connection( Shared.DC.ZRDB.Connection.Connection) :
    """A database connection object"""
    database_type = database_type
    id = '%s_database_connection' % database_type
    meta_type = title = 'Z %s Database Connection' % database_type
    icon = 'misc_/Z%sDA/conn' % database_type
    _isAnSQLConnection = 1

    def factory( self) :
	return DB


